/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

/* ==========
	GLOBAL
============= */

/* Color */
:root {
	--bricks-color-primary: #c48222;
	--bricks-color-secondary: #f5fabb;
	--bricks-text-dark: #2e3138;
	--bricks-bg-dark: #2e3138;
	--bricks-text-light: #fff;
	--bricks-bg-light: #fff;

	--clr-button__txt: #2e3138;
	--clr-button__bd: #c48222;
	--clr-button__bg: linear-gradient(135deg, var(--bricks-color-primary) 15%, var(--bricks-color-secondary) 45%, var(--bricks-color-secondary) 55%, var(--bricks-color-primary) 85%);
	--clr-button__txt-hover: #2e3138;
	--clr-button__bg-hover: #c48222;
	--clr-button--outline: #2e3138;

	--transition: all .5s cubic-bezier(.4, 0, .2, 1);
}

/* Font */
html {
	font-size: 10px;
}

body {
	font-size: 1.6rem;
	font-weight: 400;
	line-height: 1.5;
	color: #5d636f;
	background-color: #fafafa;
}

:where(h1, h2, h3, h4, h5, .h1, .h2, .h3, .h4, .h5) {
	font-weight: 700;
	line-height: 1.25;
}

h1,
.h1 {
	font-size: 7.2rem;
}

h2,
.h2 {
	font-size: 3.6rem;
}

h3,
.h3 {
	font-size: 2rem;
}

h4,
.h4 {
	font-size: 1.6rem;
}

h5,
.h5 {
	font-size: 1.4rem;
}

.brxe-heading:not([class*=" bricks-color-"]):not([class^="bricks-color-"]) {
	color: var(--bricks-bg-dark);
}

.brxe-heading.bricks-type-lead {}

.brxe-heading.bricks-type-hero {}

.text-lg {
	font-size: 1.8rem;
}

.text-sm {
	font-size: 1.4rem;
}

.hidden {
	display: none !important;
}

@media (max-width: 767px) {
	html {
		font-size: 8.5px;
	}
}

/* Layout */

.brxe-section {
	padding-inline: clamp(16px, 5vw, 100px);
}

.brxe-container {
	width: 1368px;
}

/* Button */

:where(.brxe-button, .bricks-button) {
	cursor: pointer;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	min-height: 44px;
	min-width: 150px;
	width: max-content;
	/* font-size: 1.6rem; */
	font-size: 14px;
	font-weight: 600;
	line-height: 1.42;
	text-align: center;
	color: var(--clr-button__txt);
	background: var(--clr-button__bg);
	border: 1px solid var(--clr-button__bd);
	border-radius: 10px;
	;
	outline: none !important;
	overflow: hidden;
	transition: var(--transition);
	z-index: 1;
}

:where(.brxe-button, .bricks-button).bricks-background-primary {
	background: var(--bricks-color-primary);
	border-color: var(--bricks-color-primary);
}

:where(.brxe-button, .bricks-button).bricks-background-secondary {
	background: var(--bricks-color-secondary);
	border-color: var(--bricks-color-secondary);
	color: var(--bricks-text-light);
}

:where(.brxe-button, .bricks-button).bricks-background-dark {
	background: var(--bricks-bg-dark);
	border-color: var(--bricks-bg-dark);
	color: var(--bricks-text-light);
}

:where(.brxe-button, .bricks-button).bricks-background-light {
	background: var(--bricks-bg-light);
	border-color: var(--bricks-bg-light);
	color: var(--bricks-text-dark);
}

:where(.brxe-button, .bricks-button).outline {
	--main-clr: var(--clr-button--outline);

	color: var(--main-clr);
	/* border-color: var(--main-clr); */
	border-color: #d5d8dc;
	background: transparent;
}

:where(.brxe-button, .bricks-button).outline.bricks-color-primary {
	--main-clr: var(--bricks-color-primary);
}

:where(.brxe-button, .bricks-button).outline.bricks-color-secondary {
	--main-clr: var(--bricks-color-secondary);
}

:where(.brxe-button, .bricks-button).outline.bricks-color-dark {
	--main-clr: var(--bricks-text-dark);
}

:where(.brxe-button, .bricks-button).outline.bricks-color-light {
	--main-clr: var(--bricks-text-light);
}

:where(.brxe-button, .bricks-button) svg path {
	stroke: currentColor;
}

:where(.brxe-button, .bricks-button):hover {
	color: var(--clr-button__txt-hover);
	background: var(--clr-button__bg-hover);
	border-color: var(--clr-button__bg-hover);
}

/* Custom background */
:where(.brxe-button, .bricks-button):not([class*=" bricks-background-"]):not([class^="bricks-background-"]):not(.outline)::before,
:where(.brxe-button, .bricks-button):not([class*=" bricks-background-"]):not([class^="bricks-background-"]):not(.outline)::after {
	content: '';
	display: block;
	width: 120%;
	height: 100%;
	background-color: var(--clr-button__bg-hover);
	position: absolute;
	left: 0;
	top: 0;
	transform: translateX(-110%) skewX(135deg);
	transition: all 1s cubic-bezier(.4, 0, .2, 1);
	z-index: -1;
}

:where(.brxe-button, .bricks-button):not([class*=" bricks-background-"]):not([class^="bricks-background-"]):not(.outline)::after {
	left: auto;
	right: 0;
	transform: translateX(110%) skewX(135deg);
}

:where(.brxe-button, .bricks-button):not([class*=" bricks-background-"]):not([class^="bricks-background-"]):not(.outline):hover {
	background: var(--clr-button__bg);
	color: var(--bricks-text-light);
}

:where(.brxe-button, .bricks-button):not([class*=" bricks-background-"]):not([class^="bricks-background-"]):not(.outline):hover::before,
:where(.brxe-button, .bricks-button):not([class*=" bricks-background-"]):not([class^="bricks-background-"]):not(.outline):hover::after {
	transform: translateX(0%) skewX(135deg);
}

:where(.brxe-button, .bricks-button).outline:hover {
	color: #9b7617;
	background: #f4f2eb;
	border-color: #d5d8dc;
}

/* Form */
input:not([type=submit]):not([type="checkbox"]):not([type="radio"]):not([type="file"]):not([type="range"]),
select,
textarea {
	font-size: 14px;
	line-height: 24px;
	padding: 8px 12px;
	border-radius: 10px;
	background: #fafafa;
	color: rgb(46, 49, 56);
}

::placeholder {
	color: inherit;
	opacity: 1;
}

form label {
	font-size: 14px;
	color: var(--bricks-text-dark);
	text-transform: none;
}

/* Specific CSS */
html {
	scroll-padding-top: 70px;
}

header {
	z-index: 99999;
}

.wrapper-has-shape {
	border: solid transparent;
	border-width: 8px 0;
	border-image: linear-gradient(to right, var(--bricks-color-primary), var(--bricks-color-secondary), var(--bricks-color-primary));
	border-image-slice: 1;
}

.has-common-bg {
	background-image: url('./assets/bg-common.jpg');
	background-size: auto 388px;
	background-repeat: repeat;
	background-position: top left;
}

@media(max-width: 767px) {
	html {
		scroll-padding-top: 65px;
	}

	.has-common-bg {
		background-size: auto 180px;
	}
}

/* Animation */
@keyframes bouncing {

	0%,
	to {
		transform: translateY(0)
	}

	50% {
		transform: translateY(-5px)
	}
}

@keyframes scrollDown {
	0% {
		opacity: 0;
		transform: translatey(-10px);
	}

	25% {
		opacity: 1;
	}

	50% {
		opacity: 1;
	}

	75% {
		opacity: 1;
	}

	100% {
		opacity: 0;
		transform: translatey(10px);
	}
}

@keyframes pulse {
	50% {
		opacity: .5;
	}
}

@keyframes phonering-alo-circle-img-anim {
	0% {
		transform: rotate(0) scale(1) skew(1deg);
	}

	10% {
		transform: rotate(-25deg) scale(1) skew(1deg);
	}

	20% {
		transform: rotate(25deg) scale(1) skew(1deg);
	}

	30% {
		transform: rotate(-25deg) scale(1) skew(1deg);
	}

	50% {
		transform: rotate(0) scale(1) skew(1deg);
	}
}

@keyframes phonering-alo-circle-anim {
	0% {
		transform: rotate(0) scale(.5) skew(1deg);
		opacity: 0.1;
	}

	30% {
		transform: rotate(0) scale(.7) skew(1deg);
		opacity: 1;
	}

	100% {
		transform: rotate(0) scale(1) skew(1deg);
		opacity: 0.1;
	}
}